[Ffmpeg-devel] Potential GPL violation

Steven Zakulec spzakulec
Tue Jan 30 19:09:16 CET 2007

The Konvertor project (http://www.konvertor.net/indexe.html) is using a version of ffmpeg that has liba52 and other GPL libraries compiled in, and there appears to be no source available on the site.
The following is the compile info:
FFmpeg version SVN-r6791, Copyright (c) 2000-2006 Fabrice Bellard, et al.
  configuration:  --enable-mp3lame --enable-libogg --enable-vorbis --enable-faad --enable-faac --enable-xvid --enable-x264 --enable-mingw32 --enable-a52 --enable-dts --enable-pp --enable-gpl --enable-memalign-hack --enable-amr_nb --enable-amr_wb --enable-swscaler --enable-avisynth --extra-ldflags=-static
  libavutil version: 49.0.2
  libavcodec version: 51.21.0
  libavformat version: 50.6.0

You can confirm this by downloading the demo, installing it with Wine (installs fine, fails to run with .9.28), and then go into the program directory.  In there you will see ffmpeg.exe
Typing wine ffmpeg.exe should give you the same information as I have posted above.

More information about the ffmpeg-devel mailing list